var action = "save";
var dcr_id = "";
var tableData = undefined;
shiftData = getShiftData();
$(document).ready(function () {
    tableData = $("#tblData").transactionTable({
        thead: [
            "Date",
            "Shift",
            "Hour",
            "SED",
            "BD",
            "SLD",
            "PRD",
            "PAD",
            "OD",
            "Total",
            "",
            "SED",
            "BD",
            "SLD",
            "PRD",
            "PAD",
            "OD",
            "Total",
        ],
        column_def: { 0: 100 },
        auto_focus: 0,
        row_type: [
            { type: "date", value: "", align: "left" },
            { type: "select", value: [], align: "left", width: "150px" },
            { type: "select", value: "", align: "left", width: "60px" },
            { type: "text", value: "", align: "right" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left", disabled: "disabled" },
            { type: "text", value: "", align: "left", disabled: "disabled" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left" },
            { type: "text", value: "", align: "left", disabled: "disabled" },
            { type: "remove", value: "X", align: "center" },
        ],
    });

    $('input[name="trans_date_time"]').daterangepicker({
        timePicker: true,
        singleDatePicker: true,
        showDropdowns: true,
        locale: {
            format: "YYYY-MM-DD hh:mm A",
        },
    });

    getOrderNo();
    getProductPrimaryId();

    $("#tblData").on("click", "td", function () {
        var selected_row = tableData.getSelectedRow();
    });

    if (window.location.search.length > 0) {
        var sPageURL = window.location.search.substring(1);
        var param = sPageURL.split("?");
        dcr_id = param[0].split("=")[1].split("&")[0];
        action = param[0].split("=")[2].split("&")[0];
        getDcData(dcr_id);
        if (action == "edit") {
            $("#btnSave").text("Update");
        } else if (action == "view") {
            $("#btnSave").hide();
            $("#addRowBtn").hide();
            $("#product_primary_id").prop("disabled", true);
            $("#customer_order_plan_data_id").prop("disabled", true);
            $("#trans_date_time").prop("disabled", true);
        }
    } else {
        tableData.add_empty_row();
    }

    $("#btnSave").on("click", function () {
        if ($(this).text() == "Save") {
            saveDcRecord();
        } else {
            updateDcRecords(dcr_id);
        }
    });

    addRowData();
});

function addEmptyRow() {
    tableData.add_empty_row();
    addRowData();
}

function addRowData(shift, hour) {
    var selected_row = tableData.getSelectedRow();
    var cells = selected_row.getElementsByTagName("td");

    $("#" + cells[1].childNodes[0].id).append(
        '<option value="">--Select--</option>'
    );
    $("#" + cells[2].childNodes[0].id).append('<option value="">--</option>');

    for (var i = 0; i < shiftData.length; i++) {
        if (shift == shiftData[i].shift_id) {
            $("#" + cells[1].childNodes[0].id).append(
                '<option value="' +
                    shiftData[i].shift_id +
                    '" selected>' +
                    shiftData[i].shift_name +
                    "</option>"
            );
        } else {
            $("#" + cells[1].childNodes[0].id).append(
                '<option value="' +
                    shiftData[i].shift_id +
                    '">' +
                    shiftData[i].shift_name +
                    "</option>"
            );
        }
    }
    for (var i = 1; i < 25; i++) {
        if (hour == i) {
            $("#" + cells[2].childNodes[0].id).append(
                '<option value="' + i + '" selected>' + i + "</option>"
            );
        } else {
            $("#" + cells[2].childNodes[0].id).append(
                '<option value="' + i + '">' + i + "</option>"
            );
        }
    }
}

function getShiftData() {
    var data = [];
    $.ajax({
        type: "GET",
        url: "/qc/DamageCheckingRecordsDataController/getShiftData",
        async: false,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {},
        success: function (response) {
            for (var i = 0; i < response.data.result.length; i++) {
                data.push({
                    shift_id: response.data.result[i].shift_id,
                    shift_name: response.data.result[i].shift_name,
                });
            }
        },
        error: function (error) {
            console.log(error);
        },
        complete: function () {},
    });

    return data;
}

function getOrderNo() {
    $.ajax({
        type: "GET",
        url: "/qc/DamageCheckingRecordsHeaderController/getOrderNo",
        async: false,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {},
        success: function (response) {
            var res = response.data.result;
            console.log(res);
            for (var i = 0; i < res.length; i++) {
                $("#customer_order_plan_data_id").append(
                    '<option value="' +
                        res[i].customer_order_plan_data_id +
                        '">' +
                        res[i].order_id +
                        "</option>"
                );
            }
        },
        error: function (error) {
            console.log(error);
        },
        complete: function () {},
    });
}

function getProductPrimaryId() {
    $.ajax({
        type: "GET",
        url: "/qc/DamageCheckingRecordsHeaderController/getProductPrimaryId",
        async: false,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {},
        success: function (response) {
            var res = response.data.result;
            for (var i = 0; i < res.length; i++) {
                $("#product_primary_id").append(
                    '<option value="' +
                        res[i].product_primary_id +
                        '">' +
                        res[i].product_name +
                        "</option>"
                );
            }
        },
        error: function (error) {
            console.log(error);
        },
        complete: function () {},
    });
}

function saveDcRecord() {
    var dc_data = {};
    var dc_data_arr = tableData.dataSource();
    if (dc_data_arr.length == 0) {
        showWarningMessage("Invalid data!");
        return;
    }
    for (var i = 0; i < dc_data_arr.length; i++) {
        if (!dc_data_arr[i][0]) {
            showWarningMessage("You shuld fill empty row in The list");
            return;
        }
        dc_data[i] = JSON.stringify({
            date: dc_data_arr[i][0],
            shift_id: dc_data_arr[i][1],
            hour: dc_data_arr[i][2],
            seal_damage: dc_data_arr[i][3],
            block_damage: dc_data_arr[i][4],
            slab_damage: dc_data_arr[i][5],
            print_damage: dc_data_arr[i][6],
            packing_damage: dc_data_arr[i][7],
            other_damage: dc_data_arr[i][8],
            qc_seal_damage: dc_data_arr[i][11],
            qc_block_damage: dc_data_arr[i][12],
            qc_slab_damage: dc_data_arr[i][13],
            qc_print_damage: dc_data_arr[i][14],
            qc_packing_damage: dc_data_arr[i][15],
            qc_other_damage: dc_data_arr[i][16],
        });
    }

    $.ajax({
        type: "POST",
        url: "/qc/damageCheckingRecordsDataController/save",
        data: {
            trans_date_time: $("#trans_date_time").val(),
            customer_order_plan_data_id: $(
                "#customer_order_plan_data_id"
            ).val(),
            product_primary_id: $("#product_primary_id").val(),
            dc_data: dc_data,
        },
        headers: {
            "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
        },
        timeout: 800000,
        beforeSend: function () {},
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                toastr.success("data saved");
                $("#tblData")
                    .find("input[type=text], select")
                    .each(function () {
                        $(this).val("");
                    });

                    $("#tblData")
                    .find("input[type=date]")
                    .each(function () {
                        $(this).val('mm/dd/yyyy');
                    });

                $("#product_primary_id").val("");
                $("#customer_order_plan_data_id").val("");
                $("#trans_date_time").val("");
            } else {
                showErrorMessage();
            }
        },
        error: function (error) {
            console.log(error);
            toastr.error("Something went wrong");
        },
        complete: function () {},
    });
}

function getDcData(id) {
    $.ajax({
        type: "GET",
        url: "/qc/damageCheckingRecordsDataController/getDcData/" + id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {
            // progress(true);
        },
        success: function (response) {
            var res = response.data.result;
            $("#trans_date_time").val(res.trans_date_time);
            $("#customer_order_plan_data_id").val(
                res.customer_order_plan_data_id
            );
            $("#product_primary_id").val(res.product_primary_id);

            var request_data = res.request_data;
            for (var i = 0; i < request_data.length; i++) {
                tableData.addRow([
                    {
                        type: "date",
                        val: request_data[i].date,
                        align: "left",
                    },
                    {
                        type: "select",
                        val: request_data[i].shift_id,
                        align: "left",
                        width: "150px",
                    },
                    {
                        type: "select",
                        val: request_data[i].hour,
                        align: "left",
                        width: "60px",
                    },
                    {
                        type: "text",
                        val: request_data[i].seal_damage,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].block_damage,
                        align: "right",
                    },
                    {
                        type: "text",
                        val: request_data[i].slab_damage,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].print_damage,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].packing_damage,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].other_damage,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].total,
                        align: "left",
                        disabled: "disabled",
                    },
                    {
                        type: "text",
                        val: "",
                        align: "left",
                        disabled: "disabled",
                    },
                    {
                        type: "text",
                        val: request_data[i].qc_seal_damage,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].qc_block_damage,
                        align: "right",
                    },
                    {
                        type: "text",
                        val: request_data[i].qc_slab_damage,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].qc_print_damage,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].qc_packing_damage,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].qc_other_damage,
                        align: "left",
                    },
                    {
                        type: "text",
                        val: request_data[i].qc_total,
                        align: "left",
                        disabled: "disabled",
                    },
                    {
                        type: "remove",
                        val: "X",
                        align: "center",
                    },
                ]);

                addRowData(request_data[i].shift_id, request_data[i].hour);
            }
        },
        error: function (error) {
            console.log(error);
        },
        complete: function () {
            // progress(false);
        },
    });
}

function updateDcRecords(dcr_id) {
    var dc_data = {};
    var dc_data_arr = tableData.dataSource();
    if (dc_data_arr.length == 0) {
        showWarningMessage("Invalied Grn (Empty list)");
        return;
    }
    for (var i = 0; i < dc_data_arr.length; i++) {
        if (!dc_data_arr[i][0]) {
            showWarningMessage("You shuld fill empty row in The list");
            return;
        }
        dc_data[i] = JSON.stringify({
            date: dc_data_arr[i][0],
            shift_id: dc_data_arr[i][1],
            hour: dc_data_arr[i][2],
            seal_damage: dc_data_arr[i][3],
            block_damage: dc_data_arr[i][4],
            slab_damage: dc_data_arr[i][5],
            print_damage: dc_data_arr[i][6],
            packing_damage: dc_data_arr[i][7],
            other_damage: dc_data_arr[i][8],
            qc_seal_damage: dc_data_arr[i][11],
            qc_block_damage: dc_data_arr[i][12],
            qc_slab_damage: dc_data_arr[i][13],
            qc_print_damage: dc_data_arr[i][14],
            qc_packing_damage: dc_data_arr[i][15],
            qc_other_damage: dc_data_arr[i][16],
        });
    }

    $.ajax({
        type: "PUT",
        url: "/qc/DamageCheckingRecordsDataController/update/" + dcr_id,
        data: {
            trans_date_time: $("#trans_date_time").val(),
            customer_order_plan_data_id: $(
                "#customer_order_plan_data_id"
            ).val(),
            product_primary_id: $("#product_primary_id").val(),
            dc_data: dc_data,
        },
        headers: {
            "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
        },
        timeout: 800000,
        beforeSend: function () {},
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                toastr.success("data updated");
                location.href = "/qc/damageCheckingList";
            } else {
                showErrorMessage();
            }
        },
        error: function (error) {
            console.log(error);
            toastr.error("Something went wrong");
        },
        complete: function () {},
    });
}

function triggerRowInputs(id, selected_row) {
    if (id == "tblData") {
        var cells = selected_row.getElementsByTagName("td");
        var sed = $("#" + cells[3].childNodes[0].id);
        var bd = $("#" + cells[4].childNodes[0].id);
        var sld = $("#" + cells[5].childNodes[0].id);
        var prd = $("#" + cells[6].childNodes[0].id);
        var pad = $("#" + cells[7].childNodes[0].id);
        var od = $("#" + cells[8].childNodes[0].id);
        var qc_sed = $("#" + cells[11].childNodes[0].id);
        var qc_bd = $("#" + cells[12].childNodes[0].id);
        var qc_sld = $("#" + cells[13].childNodes[0].id);
        var qc_prd = $("#" + cells[14].childNodes[0].id);
        var qc_pad = $("#" + cells[15].childNodes[0].id);
        var qc_od = $("#" + cells[16].childNodes[0].id);

        var input_arr = [sed, bd, sld, prd, pad, od];
        var qc_input_arr = [qc_sed, qc_bd, qc_sld, qc_prd, qc_pad, qc_od];

        input_arr.forEach((input) => {
            input.on("input", function () {
                var val_sed = parseFloat(sed.val()) || 0;
                var val_bd = parseFloat(bd.val()) || 0;
                var val_sld = parseFloat(sld.val()) || 0;
                var val_prd = parseFloat(prd.val()) || 0;
                var val_pad = parseFloat(pad.val()) || 0;
                var val_od = parseFloat(od.val()) || 0;

                var total =
                    val_sed + val_bd + val_sld + val_prd + val_pad + val_od;
                $("#" + cells[9].childNodes[0].id).val(total);
            });
        });

        qc_input_arr.forEach((qc_input) => {
            qc_input.on("input", function () {
                var val_qc_sed = parseFloat(qc_sed.val()) || 0;
                var val_qc_bd = parseFloat(qc_bd.val()) || 0;
                var val_qc_sld = parseFloat(qc_sld.val()) || 0;
                var val_qc_prd = parseFloat(qc_prd.val()) || 0;
                var val_qc_pad = parseFloat(qc_pad.val()) || 0;
                var val_qc_od = parseFloat(qc_od.val()) || 0;

                var qc_total =
                    val_qc_sed +
                    val_qc_bd +
                    val_qc_sld +
                    val_qc_prd +
                    val_qc_pad +
                    val_qc_od;

                $("#" + cells[17].childNodes[0].id).val(qc_total);
            });
        });
    }
}

function transactionTableUpdate(table_id) {
    // override function from transaction_table.js
}

// function transactionTimeout(minutes) {
//     setInterval(function () {
//         if (tableData.getTransactionDelay() > minutes) {
//             tableData.reset();
//         }
//     }, minutes);
// }

/**
 * showSuccessMessage
 * This function is used to show success message.
 * @param message This is the paramter to require message content
 */
function showSuccessMessage(message) {
    toastr.success(message);
}

/**
 * showWarningMessage
 * This function is used to show warning message.
 * @param message This is the paramter to require message content
 */
function showWarningMessage(message) {
    toastr.warning(message);
}

/**
 * showErrorMessage
 * This function is used to show error message.
 * @param message This is the paramter to require message content
 */
function showErrorMessage() {
    toastr.error("Something went wrong");
}
