<?php

use Illuminate\Support\Facades\Route;
use Modules\Qc\Http\Controllers\DamageCheckingRecordsHeaderController;
use Modules\Qc\Http\Controllers\DamageCheckingRecordsDataController;


Route::prefix('qc')->group(function() {
    Route::get('/dashboard', function () {
        return view('qc::dashboard');
    })->middleware('is.logged');

    Route::get('/damageCheckingList', function () {
        return view('qc::damage_checking_records_list');
    })->middleware('is.logged');

    Route::get('/damageChecking', function () {
        return view('qc::damage_checking_records');
    })->middleware('is.logged');


    Route::post('/damageCheckingRecordsDataController/save', [DamageCheckingRecordsDataController::class, 'save']);
    Route::get('/DamageCheckingRecordsDataController/getShiftData', [DamageCheckingRecordsDataController::class, 'getShiftData']);
    Route::get('/damageCheckingRecordsDataController/getDcData/{id}', [DamageCheckingRecordsDataController::class, 'getDcData']);
    Route::put('/DamageCheckingRecordsDataController/update/{id}', [DamageCheckingRecordsDataController::class, 'update']);


    Route::get('/DamageCheckingRecordsHeaderController/records', [DamageCheckingRecordsHeaderController::class, 'allRecords']);
    Route::get('/DamageCheckingRecordsHeaderController/records/{id}', [DamageCheckingRecordsHeaderController::class, 'recordById']);
    Route::get('/DamageCheckingRecordsHeaderController/getOrderNo', [DamageCheckingRecordsHeaderController::class, 'getOrderNo']);
    Route::get('/DamageCheckingRecordsHeaderController/getProductPrimaryId', [DamageCheckingRecordsHeaderController::class, 'getProductPrimaryId']);
    Route::delete('/DamageCheckingRecordsHeaderController/delete/{id}', [DamageCheckingRecordsHeaderController::class, 'deleteRecord']);
    Route::get('/DamageCheckingRecordsHeaderController/damageCheckingReport/{id}', [DamageCheckingRecordsHeaderController::class, 'damageCheckingReport']);


});
